//
//  DCViewController.m
//  ChartViewTest
//
//  Created by Developer Support on 3/24/14.
//  Copyright (c) 2014 Developer Support. All rights reserved.
//

#import "DCViewController.h"

@interface DCViewController ()

@end

@implementation DCViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    NSMutableArray* data = [[NSMutableArray alloc] init];
    for (int i = 0; i<25; i++) {
        [data addObject:[[NSNumber alloc] initWithDouble:i]];
    }

    NSMutableArray* data2 = [[NSMutableArray alloc] init];
    for (int i = 25; i>0; i--) {
        [data2 addObject:[[NSNumber alloc] initWithDouble:i]];
    }
    
    IGCategorySeriesDataSourceHelper* source = [[IGCategorySeriesDataSourceHelper alloc] init];
    source.values = data;

    IGCategorySeriesDataSourceHelper* source2 = [[IGCategorySeriesDataSourceHelper alloc] init];
    source2.values = data2;
    
    CGRect chartFrame = self.view.frame;
    chartFrame.origin.y += 20;
    chartFrame.size.height -= 20;
    IGChartView* infraChart = [[IGChartView alloc] initWithFrame:chartFrame];
    [infraChart setAutoresizingMask:UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth];
    
    IGCategoryXAxis* xAxis = [[IGCategoryXAxis alloc] initWithKey:@"xAxis"];
    IGNumericYAxis* yAxis = [[IGNumericYAxis alloc] initWithKey:@"yAxis"];
    IGCategoryXAxis* xAxis2 = [[IGCategoryXAxis alloc] initWithKey:@"xAxis2"];
    
    xAxis2.labelsVisible = NO;
    xAxis2.extent = 0;
    
    [infraChart addAxis:xAxis];
    [infraChart addAxis:yAxis];
    [infraChart addAxis:xAxis2];
    
    IGColumnSeries* series = [[IGColumnSeries alloc] initWithKey:@"columnSeries"];
    series.xAxis = xAxis;
    series.yAxis = yAxis;
    series.dataSource = source;
    
    IGColumnSeries* series2 = [[IGColumnSeries alloc] initWithKey:@"columnSeries2"];
    series2.xAxis = xAxis2;
    series2.yAxis = yAxis;
    series2.dataSource = source2;
    
    [infraChart addSeries:series2];
    [infraChart addSeries:series];
    [self.view addSubview:infraChart];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
